SDL_SetHintWithPriority(3)

NAME
SDL_SetHintWithPriority - Set a hint with a specific priority.

SYNOPSIS
#include <SDL3/SDL_hints.h>

bool SDL_SetHintWithPriority(const char *name, const char *value, SDL_HintPriority priority);

DESCRIPTION
The priority controls the behavior when setting a hint that already has a value. Hints will replace existing hints of their priority and lower. Environment variables are considered to have override priority.

FUNCTION PARAMETERS

name
    the hint to set.

value
    the value of the hint variable.

priority
    the SDL_HintPriority level for the hint.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetHint(3), SDL_ResetHint(3), SDL_SetHint(3)